Name:           extreme-tuxracer
Summary:        Open source racing game featuring Tux the Linux Penguin
Version:        0.35
Release:        1mjk.mdv2008.0
Url:            http://www.extremetuxracer.com
Source0:        %{name}-%{version}.tar.bz2
Source11:	%{name}-16.png
Source12:	%{name}-32.png
Source13:	%{name}-48.png
License:        GPL v2 only
Group:          Games/Arcade
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  MesaGLU-devel SDL-devel SDL_mixer-devel gcc-c++ libpng-devel libtcl-devel

%description
Extreme Tux Racer is an open source racing game featuring Tux the Linux
Penguin. ETRacercontinues in the tracks of Tux Racer and its forks.



Authors:
--------
    Volker Strbel
    Andreas Tarandi (Torandi)
    StevenB
    Hamish Morrison

%prep
%setup -q -n %{name}-%{version}


%build
%configure 	--bindir=%{_gamesbindir} \
		--with-data-dir=%{_gamesdatadir}/etracer \
		--datadir=%{_gamesdatadir} \
		--with-tcl=%{_libdir} 

%make

%install
rm -rf %{buildroot}
%{makeinstall_std}

install -d %{buildroot}%{_menudir}
cat <<EOF > %{buildroot}%{_menudir}/etracer
?package(%{name}):command="%{_gamesbindir}/etracer" \
		icon=%{name}.png \
		needs="x11" \
		section="More Applications/Games/Arcade" \
		title="Extreme Tuxracer"\
		longtitle="%{Summary}" \
		xdg="true"
EOF

install -d %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=Extreme Tuxracer
Comment=%{Summary}
Exec=%{_gamesbindir}/etracer
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=Game;ArcadeGame;X-MandrivaLinux-MoreApplications-Games-Arcade;
EOF

install -m644 %{SOURCE11} -D %{buildroot}%{_miconsdir}/%{name}.png
install -m644 %{SOURCE12} -D %{buildroot}%{_iconsdir}/%{name}.png
install -m644 %{SOURCE13} -D %{buildroot}%{_liconsdir}/%{name}.png

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_gamesdatadir}/*
%{_menudir}/etracer
%{_datadir}/applications/mandriva-%{name}.desktop
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}*.png
%{_miconsdir}/%{name}*.png
%{_gamesbindir}/etracer


%changelog
* Wed Nov 07 2007 Jaroslav Krejci <krejci@zstenis.com> 0.35-1mjk.mdv2008.0
- initial build for Mandriva
- specfile adapted for Mandriva 2008.0
- czech translation by soustruh

* Tue Oct 02 2007 - mmaher@suse.de
- initial Build
